net.dontdrinkandroot.visualization.item.descriptor

## Class ArcSegmentDescriptor

- java.lang.Object
- - net.dontdrinkandroot.visualization.item.descriptor.ArcSegmentDescriptor

    public class ArcSegmentDescriptor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ArcSegmentDescriptor(double startAngle, double endAngle, double innerRadius, double outerRadius)`

### Method Summary

Methods
`double` `getEndAngle()`
`double` `getInnerRadius()`
`double` `getOuterRadius()`
`double` `getStartAngle()`
`void` `setEndAngle(double endAngle)`
`void` `setInnerRadius(double innerRadius)`
`void` `setOuterRadius(double outerRadius)`
`void` `setStartAngle(double startAngle)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArcSegmentDescriptor

    public ArcSegmentDescriptor(double startAngle,
                        double endAngle,
                        double innerRadius,
                        double outerRadius)

### Method Detail

#### getStartAngle

    public double getStartAngle()

#### setStartAngle

    public void setStartAngle(double startAngle)

#### getEndAngle

    public double getEndAngle()

#### setEndAngle

    public void setEndAngle(double endAngle)

#### getInnerRadius

    public double getInnerRadius()

#### setInnerRadius

    public void setInnerRadius(double innerRadius)

#### getOuterRadius

    public double getOuterRadius()

#### setOuterRadius

    public void setOuterRadius(double outerRadius)